Bug 108852 - CRASH: LibreOffice crashes while clicking on Show Signatures button
Summary: CRASH: LibreOffice crashes while clicking on Show Signatures button
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+ Master
Hardware: All All
: highest critical
Assignee: Katarina Behrens (CIB)
QA Contact:
URL:
Whiteboard: target:6.0.0 target:5.4.1 target:5.4.0
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks: Digital-Signatures
  Show dependency treegraph
 
Reported: 2017-06-29 10:21 UTC by Xisco Faulí
Modified: 2017-07-14 15:28 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
PDF signed by me (76.53 KB, application/pdf)
2017-06-29 10:21 UTC, Xisco Faulí
Details
gdb backtrace (25.06 KB, text/x-log)
2017-06-29 11:13 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2017-06-29 10:21:54 UTC Comment hidden (obsolete)
Comment 1 Xisco Faulí 2017-06-29 10:48:10 UTC
The problem is that the infobar is displayed on all the LibreOffice's windows, so if you click on a different window from the signed one, LibreOffice crashes.

Steps:
1. Create a new Writer document
2. Go to File - Digital Signatures - Sign Existing PDF
3. Select the attached document ( signed locally by me )
4. Using the mouse, move the window aside until you see the button 'Show Signatures' on the first writer document
5. Click on 'Show Signatures' button on the banner
6. CRASH

Reproduced in

Version: 6.0.0.0.alpha0+
Build ID: 08f6f9dded1b142b858c455da03319abac691655
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

and

Version: 6.0.0.0.alpha0+
Build ID: cb37c5f0f3de7b545231a53d46a5271058af76ad
CPU threads: 1; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-06-23_06:55:41
Locale: es-ES (es_ES); Calc: group
Comment 2 Xisco Faulí 2017-06-29 10:50:36 UTC
Regression introduced by:

author	Katarina Behrens <Katarina.Behrens@cib.de>	2017-05-29 13:53:19 (GMT)
committer	Thorsten Behrens <Thorsten.Behrens@CIB.de>	2017-05-30 13:38:29 (GMT)
commit	e744e9f4492d3013742fcdb6254cd76528870e9d (patch)
tree	f5ce5d33ae50ea208bb9c396e13e25005f07ec8e
parent	3dda91dda8764adb3f6cc229236281bb270bba92 (diff)
tdf#105566: Add/remove infobar when the signature status changes
this time without stack overflow. Updating existing infobar needs
some work still

This patch is partially based on work of samuel_m

Adding Cc: to Katarina Behrens
Comment 3 Xisco Faulí 2017-06-29 11:13:49 UTC
Created attachment 134378 [details]
gdb backtrace
Comment 4 Commit Notification 2017-07-10 06:24:44 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ccb6513baf6eae9af40eecd05a2991bdd3ce3bbf

tdf#108852: Put signature infobar into the right frame

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2017-07-10 06:26:04 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bc882e977144d60b850288045e3f6aab7cbad6f7&h=libreoffice-5-4

tdf#108852: Put signature infobar into the right frame

It will be available in 5.4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2017-07-11 08:49:39 UTC
Verified in

Version: 6.0.0.0.alpha0+
Build ID: ddadcb4f4a2bc6538c219a0a577bdf5999015150
CPU threads: 4; OS: Linux 4.8; UI render: default; VCL: gtk2; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 7 Commit Notification 2017-07-14 15:28:47 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "libreoffice-5-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fe34bb37b58dd35e387a782612898ecc3f19400b&h=libreoffice-5-4-0

tdf#108852: Put signature infobar into the right frame

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.